%global _empty_manifest_terminate_build 0
Name:		python-webcolors
Version:	24.6.0
Release:	1
Summary:	A library for working with color names and color values formats defined by HTML and CSS.
License:	BSD 3-Clause
URL:		https://github.com/ubernostrum/webcolors
Source0:	https://files.pythonhosted.org/packages/b3/bf/cfe993a8acab0976a08cfa1a0a23cf9ce212b8c52cca40fbcca6e994acea/webcolors-24.6.0.tar.gz
BuildRequires:	python3-pip python3-wheel
BuildArch:	noarch


%description

``webcolors`` is a module for working with HTML/CSS color definitions.



%package -n python3-webcolors
Summary:	A library for working with color names and color values formats defined by HTML and CSS.
Provides:	python-webcolors
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-webcolors

``webcolors`` is a module for working with HTML/CSS color definitions.


%package help
Summary:	Development documents and examples for webcolors
Provides:	python3-webcolors-doc
%description help

``webcolors`` is a module for working with HTML/CSS color definitions.




%prep
%autosetup -n webcolors-%{version}

%build
%pyproject_build

%install
%pyproject_install webcolors==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi


%files -n python3-webcolors
%{python3_sitelib}/*

%files help
%{_docdir}/*

%changelog
* Tue Jun 11 2024 zeng liwen <zengliwen@kylinos.cn> - 24.6.0-1
- Update to 24.6.0
- Running the unit tests no longer uses a third-party test runner.
- Documentation of the HTML5 color algorithms has been updated.
- The raw mappings of color names/values are no longer publicly exposed; use the appropriate normalizing conversion functions instead of accessing the mappings directly.

* Fri Apr 28 2023 wulei <wu_lei@hoperun.com> - 1.13-1
- Update to 1.13

* Wed Sep 14 2022 Qiao Jijun <qiaojijun@kylinos.cn> - 1.12-1
- Update to 1.12

* Mon Nov 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
